Draft Réseau de points

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 54% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Draft PathArray.svg Réseau selon une courbe
Page suivante : Clone Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Draft Réseau de points

Emplacement du menu
Draft → Matrice de points
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
Draft Réseau, Draft Chemin pour série de copies


Description

L'outil Draft PointArray.svg Draft PointArray place des copies d'une forme sélectionnée le long de divers points sélectionnés.

L'outil Matrice de points peut être utilisé sur des formes 2D créées avec Atelier Draft, mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou Atelier Arch.

Pour positionner les copies dans un tableau orthogonal, utilisez Matrice Draft. Pour positionner les copies le long d’un chemin, utilisez Série de copies Draft. Pour créer des copies ou des clones et les placer manuellement, utilisez Déplacer Draft, Rotation Draft et Clone Draft.

Draft PointArray Example.png

Objet disposé à des points spécifiques


Utilisation

  1. Sélectionnez un objet que vous souhaitez distribuer.
  2. Sélectionnez un point composé.
  3. Appuyez sur le bouton Draft PointArray.svg Matrice des points.

Chaque élément du tableau est un clone exact de l'objet d'origine mais l'ensemble du tableau est considéré comme une seule unité en termes de propriétés et d'apparence.

Point compound

Pour créer un point composé, sélectionnez divers Point Draft puis appuyez sur le bouton Draft Upgrade.svg Mettre à niveau Draft.

In essence, the object to be used as the compound must have one of three properties, DataComponents, DataLinks, or DataGeometry, and inside that compound, there must be at least one point with DataX, DataY, and DataZ properties.

Note: in the case of Draft Point.svg Draft Point and Part Point.svg Part Point the array will try to position the copies using the DataPlacement of the point. In the case of a sketcher Sketcher CreatePoint.svg Point, the position will be taken from its internal X, Y, and Z attributes.

Note 2: for Draft Point.svg Draft Point its DataPlacement always follows the values of DataX, DataY, DataZ, so modifying these values is enough to produce the desired displacement. However, for Part Point.svg Part Point, the net displacement is given by the sum of DataPlacement with the vector with components DataX, DataY, and DataZ.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

A PointArray is derived from a Part Feature (Part::Feature class), therefore it shares all the latter's properties. In addition to the properties described in Part Feature, the PointArray has the following properties in the property editor.

  • DonnéesBase: spécifie l'objet à dupliquer.
  • DonnéesCount: (en lecture seule) spécifie le nombre de copies de l'objet de base. Ce nombre dépendra du nombre de Point Draft dans le composé.
  • DonnéesPointList: spécifie un objet composé avec des objets ponctuels indiquant l'emplacement des copies de l'objet DonnéesBase.

DonnéesBase objet qui apparaît. L'objet composé doit avoir un attribut DonnéesLinks, DonnéesComponets, ou DonnéesGeometry. Chacun des objets à l'intérieur du composé devrait être un Draft Points qui a des attributs DonnéesX, DonnéesY, et DonnéesZ . Les composés pourraient être créés avec les attributs Part Créer un composé (DonnéesLinks) ou avec les attributs Draft Upgrade (DonnéesComponets).

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil PointArray peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python , en utilisant la fonction suivante :

Older call

point_array = makePointArray(base_object, point_object)

New call

point_array = make_point_array(base_object, point_object, extra=None):
  • Crée un objet PointArray à partir de l'objet base en plaçant les copies le long de ptlst.
  • ptlst est un objet avec les attributs Geometry, Links ou Components qui définissent la position des copies.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()
Arrow-left.svg Page précédente : Draft PathArray.svg Réseau selon une courbe
Page suivante : Clone Draft Clone.svg Arrow-right.svg